package com.hai.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * high_order_pre
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighOrderPre implements Serializable {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 商户id
     */
    private Long merchantId;

    /**
     * 商户门店id
     */
    private Long merchantStoreId;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 预约订单号
     */
    private String preOrderNo;

    /**
     * 支付订单id
     */
    private Long orderId;

    /**
     * 支付订单号
     */
    private String orderNo;

    /**
     * 支付子订单id
     */
    private Long childOrderId;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;

    /**
     * 商品类型
     */
    private Integer goodsType;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 预约时间
     */
    private Date preTime;

    /**
     * 预约用户id
     */
    private Long preUserId;

    /**
     * 预约用户姓名
     */
    private String preUserName;

    /**
     * 预约用户手机号
     */
    private String preUserPhone;

    /**
     * 预约用户备注
     */
    private String preUserRemark;

    /**
     * 状态  1.预约中  2. 预约成功  3.预约完成  4.预约失败  5.预约取消
     */
    private Integer status;

    /**
     * 预约失败说明
     */
    private String statusFailDesc;

    /**
     * 预约取消说明
     */
    private String statusCancelDesc;

    /**
     * 到达时间
     */
    private Date reachTime;

    /**
     * 到达地点
     */
    private String reachAddress;

    /**
     * 操作人id
     */
    private Long opUserId;

    /**
     * 操作人名称
     */
    private String opUserName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private String ext4;

    private String ext5;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Long getMerchantId() {
        return merchantId;
    }

    public void setMerchantId(Long merchantId) {
        this.merchantId = merchantId;
    }

    public Long getMerchantStoreId() {
        return merchantStoreId;
    }

    public void setMerchantStoreId(Long merchantStoreId) {
        this.merchantStoreId = merchantStoreId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public String getPreOrderNo() {
        return preOrderNo;
    }

    public void setPreOrderNo(String preOrderNo) {
        this.preOrderNo = preOrderNo;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getChildOrderId() {
        return childOrderId;
    }

    public void setChildOrderId(Long childOrderId) {
        this.childOrderId = childOrderId;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Integer goodsType) {
        this.goodsType = goodsType;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Date getPreTime() {
        return preTime;
    }

    public void setPreTime(Date preTime) {
        this.preTime = preTime;
    }

    public Long getPreUserId() {
        return preUserId;
    }

    public void setPreUserId(Long preUserId) {
        this.preUserId = preUserId;
    }

    public String getPreUserName() {
        return preUserName;
    }

    public void setPreUserName(String preUserName) {
        this.preUserName = preUserName;
    }

    public String getPreUserPhone() {
        return preUserPhone;
    }

    public void setPreUserPhone(String preUserPhone) {
        this.preUserPhone = preUserPhone;
    }

    public String getPreUserRemark() {
        return preUserRemark;
    }

    public void setPreUserRemark(String preUserRemark) {
        this.preUserRemark = preUserRemark;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusFailDesc() {
        return statusFailDesc;
    }

    public void setStatusFailDesc(String statusFailDesc) {
        this.statusFailDesc = statusFailDesc;
    }

    public String getStatusCancelDesc() {
        return statusCancelDesc;
    }

    public void setStatusCancelDesc(String statusCancelDesc) {
        this.statusCancelDesc = statusCancelDesc;
    }

    public Date getReachTime() {
        return reachTime;
    }

    public void setReachTime(Date reachTime) {
        this.reachTime = reachTime;
    }

    public String getReachAddress() {
        return reachAddress;
    }

    public void setReachAddress(String reachAddress) {
        this.reachAddress = reachAddress;
    }

    public Long getOpUserId() {
        return opUserId;
    }

    public void setOpUserId(Long opUserId) {
        this.opUserId = opUserId;
    }

    public String getOpUserName() {
        return opUserName;
    }

    public void setOpUserName(String opUserName) {
        this.opUserName = opUserName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    public String getExt4() {
        return ext4;
    }

    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    public String getExt5() {
        return ext5;
    }

    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighOrderPre other = (HighOrderPre) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCompanyId() == null ? other.getCompanyId() == null : this.getCompanyId().equals(other.getCompanyId()))
            && (this.getMerchantId() == null ? other.getMerchantId() == null : this.getMerchantId().equals(other.getMerchantId()))
            && (this.getMerchantStoreId() == null ? other.getMerchantStoreId() == null : this.getMerchantStoreId().equals(other.getMerchantStoreId()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getPreOrderNo() == null ? other.getPreOrderNo() == null : this.getPreOrderNo().equals(other.getPreOrderNo()))
            && (this.getOrderId() == null ? other.getOrderId() == null : this.getOrderId().equals(other.getOrderId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getChildOrderId() == null ? other.getChildOrderId() == null : this.getChildOrderId().equals(other.getChildOrderId()))
            && (this.getPayRealPrice() == null ? other.getPayRealPrice() == null : this.getPayRealPrice().equals(other.getPayRealPrice()))
            && (this.getGoodsType() == null ? other.getGoodsType() == null : this.getGoodsType().equals(other.getGoodsType()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getGoodsName() == null ? other.getGoodsName() == null : this.getGoodsName().equals(other.getGoodsName()))
            && (this.getPreTime() == null ? other.getPreTime() == null : this.getPreTime().equals(other.getPreTime()))
            && (this.getPreUserId() == null ? other.getPreUserId() == null : this.getPreUserId().equals(other.getPreUserId()))
            && (this.getPreUserName() == null ? other.getPreUserName() == null : this.getPreUserName().equals(other.getPreUserName()))
            && (this.getPreUserPhone() == null ? other.getPreUserPhone() == null : this.getPreUserPhone().equals(other.getPreUserPhone()))
            && (this.getPreUserRemark() == null ? other.getPreUserRemark() == null : this.getPreUserRemark().equals(other.getPreUserRemark()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getStatusFailDesc() == null ? other.getStatusFailDesc() == null : this.getStatusFailDesc().equals(other.getStatusFailDesc()))
            && (this.getStatusCancelDesc() == null ? other.getStatusCancelDesc() == null : this.getStatusCancelDesc().equals(other.getStatusCancelDesc()))
            && (this.getReachTime() == null ? other.getReachTime() == null : this.getReachTime().equals(other.getReachTime()))
            && (this.getReachAddress() == null ? other.getReachAddress() == null : this.getReachAddress().equals(other.getReachAddress()))
            && (this.getOpUserId() == null ? other.getOpUserId() == null : this.getOpUserId().equals(other.getOpUserId()))
            && (this.getOpUserName() == null ? other.getOpUserName() == null : this.getOpUserName().equals(other.getOpUserName()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCompanyId() == null) ? 0 : getCompanyId().hashCode());
        result = prime * result + ((getMerchantId() == null) ? 0 : getMerchantId().hashCode());
        result = prime * result + ((getMerchantStoreId() == null) ? 0 : getMerchantStoreId().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getPreOrderNo() == null) ? 0 : getPreOrderNo().hashCode());
        result = prime * result + ((getOrderId() == null) ? 0 : getOrderId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getChildOrderId() == null) ? 0 : getChildOrderId().hashCode());
        result = prime * result + ((getPayRealPrice() == null) ? 0 : getPayRealPrice().hashCode());
        result = prime * result + ((getGoodsType() == null) ? 0 : getGoodsType().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getGoodsName() == null) ? 0 : getGoodsName().hashCode());
        result = prime * result + ((getPreTime() == null) ? 0 : getPreTime().hashCode());
        result = prime * result + ((getPreUserId() == null) ? 0 : getPreUserId().hashCode());
        result = prime * result + ((getPreUserName() == null) ? 0 : getPreUserName().hashCode());
        result = prime * result + ((getPreUserPhone() == null) ? 0 : getPreUserPhone().hashCode());
        result = prime * result + ((getPreUserRemark() == null) ? 0 : getPreUserRemark().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getStatusFailDesc() == null) ? 0 : getStatusFailDesc().hashCode());
        result = prime * result + ((getStatusCancelDesc() == null) ? 0 : getStatusCancelDesc().hashCode());
        result = prime * result + ((getReachTime() == null) ? 0 : getReachTime().hashCode());
        result = prime * result + ((getReachAddress() == null) ? 0 : getReachAddress().hashCode());
        result = prime * result + ((getOpUserId() == null) ? 0 : getOpUserId().hashCode());
        result = prime * result + ((getOpUserName() == null) ? 0 : getOpUserName().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", companyId=").append(companyId);
        sb.append(", merchantId=").append(merchantId);
        sb.append(", merchantStoreId=").append(merchantStoreId);
        sb.append(", agentId=").append(agentId);
        sb.append(", preOrderNo=").append(preOrderNo);
        sb.append(", orderId=").append(orderId);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", childOrderId=").append(childOrderId);
        sb.append(", payRealPrice=").append(payRealPrice);
        sb.append(", goodsType=").append(goodsType);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", goodsName=").append(goodsName);
        sb.append(", preTime=").append(preTime);
        sb.append(", preUserId=").append(preUserId);
        sb.append(", preUserName=").append(preUserName);
        sb.append(", preUserPhone=").append(preUserPhone);
        sb.append(", preUserRemark=").append(preUserRemark);
        sb.append(", status=").append(status);
        sb.append(", statusFailDesc=").append(statusFailDesc);
        sb.append(", statusCancelDesc=").append(statusCancelDesc);
        sb.append(", reachTime=").append(reachTime);
        sb.append(", reachAddress=").append(reachAddress);
        sb.append(", opUserId=").append(opUserId);
        sb.append(", opUserName=").append(opUserName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}